Subject: bug#23144: shrinking windows with gtk 3.20

From: Paul Eggert <[email-masked]>
Date: Fri, 1 Apr 2016 17:03:39 -0700

> How about the following course:
>
>   . On master, accept what Matthias suggests and deal with bug reports
>     if and when they come.

Sounds good, and I did that.

>   . On the release branch, provide some safe workaround, triggered by
>     an option users could set if they encounter this problem with a
>     future GTK version.  This assumes such a safe workaround is
>     possible, of course; I thought along the lines of the user
>     specifying the initial size explicitly in some way.
>

Another possibility is to ask builders not to combine GTK+4 (or will 
this be GTK+ 3.22? it's not clear), whenever it comes out, with Emacs 25 
whenever it comes out; and to instead stick with GTK+ 3.20 or earlier 
when building Emacs 25. If that's a reasonable request then the problem 
goes away.